Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.exception
Class ConvergenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.apache.commons.math3.exception.MathIllegalStateException
                          org.apache.commons.math3.exception.ConvergenceException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

Direct Known Subclasses:
  FractionConversionException

    public class ConvergenceException

extends MathIllegalStateException

Error thrown when a numerical computation can not be performed because the numerical result failed to converge to a finite value.

Since:
  2.2
Version:
  $Id: ConvergenceException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

Constructor Summary
`ConvergenceException()` Construct the exception.
`ConvergenceException(Localizable pattern, Object... args)` Construct the exception with a specific context and arguments.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConvergenceException

    public ConvergenceException()

  Construct the exception.

### ConvergenceException

    public ConvergenceException(Localizable pattern,
                                Object... args)

  Construct the exception with a specific context and arguments.

  Parameters:
    `pattern` - Message pattern providing the specific context of the error.
    `args` - Arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.